diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/he/he-configuration.cc ns-3.44/src/wifi/model/he/he-configuration.cc
--- ns-3.43/src/wifi/model/he/he-configuration.cc	2024-10-09 16:41:10.120656700 -0700
+++ ns-3.44/src/wifi/model/he/he-configuration.cc	2025-03-09 16:55:49.791372500 -0700
@@ -38,12 +38,11 @@
                           MakeTimeAccessor(&HeConfiguration::GetGuardInterval,
                                            &HeConfiguration::SetGuardInterval),
                           MakeTimeChecker(NanoSeconds(800), NanoSeconds(3200)))
-            .AddAttribute(
-                "BssColor",
-                "The BSS color",
-                UintegerValue(0),
-                MakeUintegerAccessor(&HeConfiguration::GetBssColor, &HeConfiguration::SetBssColor),
-                MakeUintegerChecker<uint8_t>())
+            .AddAttribute("BssColor",
+                          "The BSS color",
+                          UintegerValue(0),
+                          MakeUintegerAccessor(&HeConfiguration::m_bssColor),
+                          MakeUintegerChecker<uint8_t>())
             .AddAttribute("MaxTbPpduDelay",
                           "If positive, the value of this attribute specifies the maximum "
                           "delay with which a TB PPDU can be received after the reception of "
@@ -52,16 +51,8 @@
                           "is anyway capped at the duration of the training fields in the PPDU. "
                           "This attribute is only valid for APs.",
                           TimeValue(Seconds(0)),
-                          MakeTimeAccessor(&HeConfiguration::GetMaxTbPpduDelay,
-                                           &HeConfiguration::SetMaxTbPpduDelay),
+                          MakeTimeAccessor(&HeConfiguration::m_maxTbPpduDelay),
                           MakeTimeChecker(Seconds(0)))
-            .AddAttribute("MpduBufferSize",
-                          "This attribute is obsolete. Use the WifiMac::MpduBufferSize attribute "
-                          "instead.",
-                          UintegerValue(64),
-                          MakeUintegerAccessor(&HeConfiguration::m_mpduBufferSize),
-                          MakeUintegerChecker<uint16_t>(64, 256),
-                          TypeId::OBSOLETE)
             .AddAttribute("MuBeAifsn",
                           "AIFSN used by BE EDCA when the MU EDCA Timer is running. "
                           "It must be either zero (EDCA disabled) or a value from 2 to 15.",
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/he/he-configuration.h ns-3.44/src/wifi/model/he/he-configuration.h
--- ns-3.43/src/wifi/model/he/he-configuration.h	2024-10-09 16:41:10.120656700 -0700
+++ ns-3.44/src/wifi/model/he/he-configuration.h	2025-03-09 16:55:49.791372500 -0700
@@ -8,6 +8,7 @@
 #ifndef HE_CONFIGURATION_H
 #define HE_CONFIGURATION_H
 
+#include "ns3/deprecated.h"
 #include "ns3/nstime.h"
 #include "ns3/object.h"
 
@@ -15,8 +16,8 @@
 {
 
 /**
- * \brief HE configuration
- * \ingroup wifi
+ * @brief HE configuration
+ * @ingroup wifi
  *
  * This object stores HE configuration information, for use in modifying
  * AP or STA behavior and for constructing HE-related information elements.
@@ -28,57 +29,66 @@
     HeConfiguration();
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \param guardInterval the supported HE guard interval
+     * @param guardInterval the supported HE guard interval
      */
     void SetGuardInterval(Time guardInterval);
+
     /**
-     * \return the supported HE guard interval
+     * @return the supported HE guard interval
      */
     Time GetGuardInterval() const;
+
     /**
-     * \param bssColor the BSS color
+     * @param bssColor the BSS color
      */
+    NS_DEPRECATED_3_44("Set the m_bssColor member variable instead")
     void SetBssColor(uint8_t bssColor);
+
     /**
-     * \return the BSS color
+     * @return the BSS color
      */
+    NS_DEPRECATED_3_44("Get the m_bssColor member variable instead")
     uint8_t GetBssColor() const;
+
     /**
-     * \param maxTbPpduDelay the maximum TB PPDU delay
+     * @param maxTbPpduDelay the maximum TB PPDU delay
      */
+    NS_DEPRECATED_3_44("Set the m_maxTbPpduDelay member variable instead")
     void SetMaxTbPpduDelay(Time maxTbPpduDelay);
+
     /**
-     * \return the maximum TB PPDU delay
+     * @return the maximum TB PPDU delay
      */
+    NS_DEPRECATED_3_44("Get the m_maxTbPpduDelay member variable instead")
     Time GetMaxTbPpduDelay() const;
 
+    uint8_t m_bssColor;    //!< BSS color
+    Time m_maxTbPpduDelay; //!< Max TB PPDU delay
+    uint8_t m_muBeAifsn;   //!< AIFSN for BE in MU EDCA Parameter Set
+    uint8_t m_muBkAifsn;   //!< AIFSN for BK in MU EDCA Parameter Set
+    uint8_t m_muViAifsn;   //!< AIFSN for VI in MU EDCA Parameter Set
+    uint8_t m_muVoAifsn;   //!< AIFSN for VO in MU EDCA Parameter Set
+    uint16_t m_muBeCwMin;  //!< CWmin for BE in MU EDCA Parameter Set
+    uint16_t m_muBkCwMin;  //!< CWmin for BK in MU EDCA Parameter Set
+    uint16_t m_muViCwMin;  //!< CWmin for VI in MU EDCA Parameter Set
+    uint16_t m_muVoCwMin;  //!< CWmin for VO in MU EDCA Parameter Set
+    uint16_t m_muBeCwMax;  //!< CWmax for BE in MU EDCA Parameter Set
+    uint16_t m_muBkCwMax;  //!< CWmax for BK in MU EDCA Parameter Set
+    uint16_t m_muViCwMax;  //!< CWmax for VI in MU EDCA Parameter Set
+    uint16_t m_muVoCwMax;  //!< CWmax for VO in MU EDCA Parameter Set
+    Time m_beMuEdcaTimer;  //!< Timer for BE in MU EDCA Parameter Set
+    Time m_bkMuEdcaTimer;  //!< Timer for BK in MU EDCA Parameter Set
+    Time m_viMuEdcaTimer;  //!< Timer for VI in MU EDCA Parameter Set
+    Time m_voMuEdcaTimer;  //!< Timer for VO in MU EDCA Parameter Set
+
   private:
-    Time m_guardInterval;      //!< Supported HE guard interval
-    uint8_t m_bssColor;        //!< BSS color
-    Time m_maxTbPpduDelay;     //!< Max TB PPDU delay
-    uint16_t m_mpduBufferSize; //!< MPDU buffer size
-    uint8_t m_muBeAifsn;       //!< AIFSN for BE in MU EDCA Parameter Set
-    uint8_t m_muBkAifsn;       //!< AIFSN for BK in MU EDCA Parameter Set
-    uint8_t m_muViAifsn;       //!< AIFSN for VI in MU EDCA Parameter Set
-    uint8_t m_muVoAifsn;       //!< AIFSN for VO in MU EDCA Parameter Set
-    uint16_t m_muBeCwMin;      //!< CWmin for BE in MU EDCA Parameter Set
-    uint16_t m_muBkCwMin;      //!< CWmin for BK in MU EDCA Parameter Set
-    uint16_t m_muViCwMin;      //!< CWmin for VI in MU EDCA Parameter Set
-    uint16_t m_muVoCwMin;      //!< CWmin for VO in MU EDCA Parameter Set
-    uint16_t m_muBeCwMax;      //!< CWmax for BE in MU EDCA Parameter Set
-    uint16_t m_muBkCwMax;      //!< CWmax for BK in MU EDCA Parameter Set
-    uint16_t m_muViCwMax;      //!< CWmax for VI in MU EDCA Parameter Set
-    uint16_t m_muVoCwMax;      //!< CWmax for VO in MU EDCA Parameter Set
-    Time m_beMuEdcaTimer;      //!< Timer for BE in MU EDCA Parameter Set
-    Time m_bkMuEdcaTimer;      //!< Timer for BK in MU EDCA Parameter Set
-    Time m_viMuEdcaTimer;      //!< Timer for VI in MU EDCA Parameter Set
-    Time m_voMuEdcaTimer;      //!< Timer for VO in MU EDCA Parameter Set
+    Time m_guardInterval; //!< Supported HE guard interval
 };
 
 } // namespace ns3
